export function updateEncuadernacion() {

    const $selected = $('.tipo-libro.selected');
    if ($selected.length > 0) {
        const resumen = $selected.data('summary-text') || $selected.attr('id');
        $('#summary-encuadernacion').text(resumen);
    }
}

export function updateFormato(){

    if($('#formato-personalizado').is(':checked')) {
        $('#summary-formato').text($('#ancho').val() + 'x' + $('#alto').val() + ' mm');
    } else {
        const $selected = $('#formato option:selected');
        const resumen = $selected.data('summary-text') || $selected.val();
        $('#summary-formato').text(resumen + ' mm');
    }
}

export function updatePaginas() {

    const paginas = $('#paginas').val();
    $('#summary-paginas').text(paginas );

    const paginasColor = $('#paginas-color').val();
    $('#summary-paginas-color').text(paginasColor );

    const paginasNegro = $('#paginas-negro').val();
    $('#summary-paginas-negro').text(paginasNegro );
}

export function updateTipoImpresion() {

    const $selected = $('.opcion-color.selected');
    if ($selected.length > 0) {
        const resumen = $selected.data('summary-text') || $selected.attr('id');
        $('#summary-tipo-interior').text(resumen);
    }
}

export function updatePapelInterior() {

    const $selected = $('.papel-interior.selected');
    if ($selected.length > 0) {
        const resumen = $selected.data('summary-text') || $selected.val();
        $('#summary-papel-interior').text(resumen);
    }
}

export function updateGramajeInterior() {

    const gramaje = $('input[name="gramaje-interior"]:checked');
    if(gramaje.length > 0) {
        $('#summary-gramaje-interior').text(gramaje.data('gramaje'));
    }
}

export function updateTapaCubierta(){

    const $selected = $('.tapa-cubierta.selected');
    if ($selected.length > 0) {
        const resumen = $selected.data('summary-text') || $selected.attr('id');
        $('#summary-tapa-cubierta').text(resumen);
    }
    if($selected.attr('id') === 'tapaBlanda') {

        $('.tapa-blanda-row').removeClass('d-none');
        $('.tapa-dura-row').addClass('d-none');
        $('#summary-cubierta-solapas').text($('#sin-solapas').hasClass('selected') ? $('#sin-solapas').data('summary-text') : $('#con-solapas').data('summary-text'));
        if($('#con-solapas').hasClass('selected')) {
            $('#summary-tamanio-solapa-row').removeClass('d-none');
            $('#summary-tamanio-solapa').text($('#tamanio-solapas-cubierta').val() + ' mm');
        } else {
            $('#summary-tamanio-solapa-row').addClass('d-none');
            $('#summary-tamanio-solapa').text('');
        }
        $('#summary-impresion-cubierta-row').removeClass('d-none');
        $('#summary-impresion-cubierta').text($('#impresion-cubierta option:selected').text());
    }
    else{
        $('.tapa-blanda-row').addClass('d-none');
        $('.tapa-dura-row').removeClass('d-none');
        $('#summary-papel-guardas').text($('#papel-guardas option:selected').text());
        $('#summary-guardas-impresas').text($('#guardas-impresas option:selected').text());
        $('#summary-cabezada').text($('#cabezada option:selected').text());
    }
}

export function updatePapelCubierta() {
    const $selected = $('.papel-cubierta.selected');
    if ($selected.length > 0) {
        const resumen = $selected.data('summary-text') || $selected.val();
        $('#summary-papel-cubierta').text(resumen);
    }
}

export function updateGramajeCubierta() {
    const gramaje = $('input[name="gramaje-cubierta"]:checked');
    if(gramaje.length > 0) {
        $('#summary-gramaje-cubierta').text(gramaje.data('gramaje'));
    }
}

export function updateAcabadoCubierta() {
    const acabado = $('input[name="acabado-cubierta"]:checked');
    if(acabado.length > 0) {
        let labelText = '';
        const id = acabado.attr('id');
        
        if (id) {
            labelText = $(`label[for="${id}"]`).text().trim();
        }

        // Caso 2: input dentro de label
        if (!labelText) {
            labelText = acabado.closest('label').text().trim();
        }

        $('#summary-acabado-cubierta').text(labelText);
    }
}

export function updateSobreCubierta() {

    if($('#sobrecubierta').hasClass('active')) {
        $('#summary-sobrecubierta-papel-gramaje').text($('#papel-sobrecubierta option:selected').text());
        $('#summary-sobrecubierta-tamanio-solapa').text($('#tamanio-solapas-sobrecubierta').val() + ' mm');
        $('#summary-sobrecubierta-acabado').text($('#sobrecubierta-acabado option:selected').text());   
    }
}

export function updateFaja() {

    if($('#faja').hasClass('active')) {
        $('#summary-faja-papel-gramaje').text($('#papel-faja option:selected').text());
        $('#summary-faja-alto-faja').text($('#alto-faja').val() + ' mm');
        $('#summary-faja-tamanio-solapa').text($('#tamanio-solapas-faja').val() + ' mm');
        $('#summary-faja-acabado').text($('#faja-acabado option:selected').text());   
    }
}

export function updateExtras() {
    const $table = $('#summary-servicios-extras');
    const $tbody = $table.find('tbody');
    $tbody.empty();

    // Agregar las filas de servicios extras
    $('.service-checkbox:checked').each(function() {
        const $servicio = $(this);
        const resumen = $(`label[for="${$servicio.attr('id')}"] .service-title`).text().trim() || $servicio.attr('id');
        const price = $(`label[for="${$servicio.attr('id')}"] .service-price`).text().trim() || $servicio.attr('price');
        const $row = $('<tr>').append(
            $('<td>').append($('<span>').text(resumen)),
            $('<td class="text-end data-summary" data-id-summary="servicio-' + $servicio.attr('id') + '">').text(price)
        );
        $tbody.append($row);
    });
    if ($tbody.children().length > 0) {
        $table.removeClass('d-none');
    } else {
        $table.addClass('d-none');
    }
}

